SystemOrganization addCategory: #Slask!

TestCase subclass: #MiscSnippetsTest
	instanceVariableNames: 'instObj'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Slask'!

!MiscSnippetsTest commentStamp: 'MH 10/22/2012 23:19' prior: 0!
test class!

!MiscSnippetsTest methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 23:30'!
resource
	^ MiscSnippetsTestResource current! !

!MiscSnippetsTest methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 22:52'!
resources
	^ { MiscSnippetsTestResource}! !

!MiscSnippetsTest methodsFor: 'as yet unclassified' stamp: 'MH 10/23/2012 20:55'!
setUp
	instObj := MiscSnippets new.! !

!MiscSnippetsTest methodsFor: 'as yet unclassified' stamp: 'MH 10/23/2012 21:01'!
testFactorial
	self assert: (1 = (instObj factorial: 1)).
	self assert: (2 = (instObj factorial: 2)).
	self assert: (6 = (instObj factorial: 3)).
	self assert: (24 = (instObj factorial: 4)).! !

!MiscSnippetsTest methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 23:33'!
testMyCount
	self assert: (1 = (instObj myCount: 'a')).
	self assert: (4 = (instObj myCount: (self resource data))).
		! !

TestResource subclass: #MiscSnippetsTestResource
	instanceVariableNames: 'str1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Slask'!

!MiscSnippetsTestResource commentStamp: 'MH 10/24/2012 22:44' prior: 0!
Sample resource!

!MiscSnippetsTestResource methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 23:32'!
data
	^ str1! !

!MiscSnippetsTestResource methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 23:15'!
isAvailable
	^ true.! !

!MiscSnippetsTestResource methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 23:13'!
setUp
	str1 := 'init'.
	Transcript cr; show: 'set up...'! !

!MiscSnippetsTestResource methodsFor: 'as yet unclassified' stamp: 'MH 10/24/2012 23:29'!
tearDown
	str1 := ''.
	Transcript cr; show: 'tear down'.! !

Object subclass: #MiscSnippets
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Slask'!

!MiscSnippets commentStamp: 'MH 10/22/2012 21:01' prior: 0!
Umbrella Class!

!MiscSnippets methodsFor: 'as yet unclassified' stamp: 'MH 10/22/2012 21:31'!
factorial:  initVal
	"comment stating purpose of message"
	(initVal <= 1) ifTrue: [^1].
	^ self factorial: initVal acc: 1.! !

!MiscSnippets methodsFor: 'as yet unclassified' stamp: 'MH 10/22/2012 21:31'!
factorial:  initVal acc: currentSum
	"comment stating purpose of message"
	| x |
	(initVal <= 1) ifTrue: [^ currentSum].
	x := currentSum * initVal.
	^ self factorial: (initVal - 1) acc: x.! !

!MiscSnippets methodsFor: 'as yet unclassified' stamp: 'MH 10/23/2012 21:04'!
myCount: str
	"counting chars"
	| x |
	x := str size.
	^ x! !
